package com.flyfish.oauth.configuration;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

/**
 * 默认的用户信息池
 *
 * @author wybab
 */
public class DefaultSessionConverter implements SSOSessionConverter {

    private static final String USER_STORE_NAME = "userInfo";

    @Override
    public <T> void convert(HttpSession session, T userInfo) {
        session.setAttribute(USER_STORE_NAME, userInfo);
    }

    @Override
    public boolean isComplete(HttpSession session) {
        return null != session.getAttribute(USER_STORE_NAME);
    }

    @Override
    public String expectRedirectUri(HttpServletRequest request) {
        return request.getParameter("redirect");
    }
}
